import { Options as CompileJSONOptions } from "json-schema-to-typescript";
import { Options as PrettierOptions } from "prettier";
import { JsonObject } from "./types";
export declare type Options = {
    bannerComment: string[];
    prettier: PrettierOptions;
} & Pick<CompileJSONOptions, "enableConstEnums" | "ignoreMinAndMaxItems" | "strictIndexSignatures" | "unknownAny">;
export declare function compileBSON(schema: JsonObject, options?: Partial<Options>): Promise<string>;
//# sourceMappingURL=compile.d.ts.map